# Cosmos gRPC & REST

### Cosmos gRPC[​](https://docs.evmos.org/develop/api/cosmos-grpc#cosmos-grpc) <a href="#cosmos-grpc" id="cosmos-grpc"></a>

Financiyo exposes gRPC endpoints for all the integrated Cosmos SDK modules. This makes it easier for wallets and block explorers to interact with the Proof-of-Stake logic and native Cosmos transactions and queries.

### Cosmos HTTP REST (gRPC-Gateway)[​](https://docs.evmos.org/develop/api/cosmos-grpc#cosmos-http-rest-grpc-gateway) <a href="#cosmos-http-rest-grpc-gateway" id="cosmos-http-rest-grpc-gateway"></a>

[gRPC-Gateway](https://grpc-ecosystem.github.io/grpc-gateway/) reads a gRPC service definition and generates a reverse-proxy server which translates RESTful JSON API into gRPC. With gRPC-Gateway, users can use REST to interact with the Cosmos gRPC service. See the list of supported gRPC-Gateway API endpoints using Swagger [here](https://financiyo.gitbook.io/docs/api).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://financiyo.gitbook.io/docs/api/cosmos-grpc-and-rest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
